## TeplTabLabel TeplTabLabel — A TeplTab label, to use with GtkNotebook |

## Functions

GtkWidget * | tepl_tab_label_new ()
TeplTab * | tepl_tab_label_get_tab ()
void | tepl_tab_label_update_tooltip ()

## Properties

TeplTab * | tab | Read / Write / Construct Only

## Types and Values

struct | TeplTabLabel
struct | TeplTabLabelClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── TeplTabLabel

## Implemented Interfaces

TeplTabLabel implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <tepl/tepl.h>

## Description

TeplTabLabel is the label/title of a TeplTab, suitable for GtkNotebook.

A TeplTabLabel contains:

- a GtkLabel with the “tepl-short-title”.

- a close button, when clicked the TeplTab “close-request” signal is emitted.

- a customizable tooltip, by default it shows the full “location”.

## Functions

### tepl_tab_label_new ()

    GtkWidget *
    tepl_tab_label_new (TeplTab *tab);

#### Parameters

tab | a TeplTab. |

#### Returns

a new TeplTabLabel.

[transfer floating]

Since: 3.0

### tepl_tab_label_get_tab ()

    TeplTab *
    tepl_tab_label_get_tab (TeplTabLabel *tab_label);

#### Parameters

tab_label | a TeplTabLabel. |

#### Returns

the “tab”.

[transfer none][nullable]

Since: 3.0

### tepl_tab_label_update_tooltip ()

    void
    tepl_tab_label_update_tooltip (TeplTabLabel *tab_label);

Asks TeplTabLabel to update its tooltip. The ::get_tooltip_markup virtual function is called and the result is set with `gtk_widget_set_tooltip_markup()`.

#### Parameters

tab_label | a TeplTabLabel. |

Since: 3.0

## Types and Values

### struct TeplTabLabel

    struct TeplTabLabel;

### struct TeplTabLabelClass

    struct TeplTabLabelClass {
    	GtkBoxClass parent_class;

    	gchar * (* get_tooltip_markup) (TeplTabLabel *tab_label);
    };

#### Members

`get_tooltip_markup` () | Virtual function pointer to create the tooltip markup string. `NULL` must be returned if no tooltip is wanted. The result is intended to be used as an argument to `gtk_widget_set_tooltip_markup()`. The default implementation returns the full “location” if non-`NULL`, or `NULL` otherwise. The return value must be freed with `g_free()` when no longer needed. |

## Property Details

### The `“tab”` property

      “tab”                      TeplTab *

The associated TeplTab. TeplTabLabel has a weak reference to the TeplTab.

Owner: TeplTabLabel

Flags: Read / Write / Construct Only

Since: 3.0